MozillaZine


[Ext] BackTrack Tab History

Announce and Discuss the Latest Theme and Extension Releases.
AlexVallat
 
Posts: 90
Joined: September 30th, 2006, 8:53 am

Post Posted November 5th, 2020, 10:08 am

Hi, it really depends on the specific addon. Some will just work, some partially, and others may require a little tweaking of source code before they work. It's generally worth a try, if you have an old legacy addon that you miss.

(That's for the UserChromeJS method - the LegacyHelper webextension experiment requires much more substantial modification of the addon to work, basically only for addon authors, not for end users)

avada
 
Posts: 1901
Joined: February 10th, 2008, 6:30 am
Location: Hungary

Post Posted November 5th, 2020, 3:55 pm

AlexVallat wrote:Hi, it really depends on the specific addon. Some will just work, some partially, and others may require a little tweaking of source code before they work. It's generally worth a try, if you have an old legacy addon that you miss.

(That's for the UserChromeJS method - the LegacyHelper webextension experiment requires much more substantial modification of the addon to work, basically only for addon authors, not for end users)

Thanks for the info.

avada
 
Posts: 1901
Joined: February 10th, 2008, 6:30 am
Location: Hungary

Post Posted November 5th, 2020, 4:13 pm

AlexVallat wrote:Hi, it really depends on the specific addon. Some will just work, some partially, and others may require a little tweaking of source code before they work. It's generally worth a try, if you have an old legacy addon that you miss.

(That's for the UserChromeJS method - the LegacyHelper webextension experiment requires much more substantial modification of the addon to work, basically only for addon authors, not for end users)


Hmmm. I'm still blocked from installing xpi addons. Unsigned addons issue I guess. (The localization is iffy: Something about firefox blocking the installation of an unchencked addon.)

AlexVallat
 
Posts: 90
Joined: September 30th, 2006, 8:53 am

Post Posted November 6th, 2020, 1:11 am

You will still need to set the preferences extensions.legacy.enabled to true and xpinstall.signatures.required to false in about:config in order to install the addons at all. I guess if you have an old, unmodified addon xpi you might not need signatures.required false, but for anything modified or newer you will, as Mozilla won't sign legacy addons any more. Once they are installed, the UserChromeJS system should allow them to work.

avada
 
Posts: 1901
Joined: February 10th, 2008, 6:30 am
Location: Hungary

Post Posted November 6th, 2020, 3:12 am

AlexVallat wrote:You will still need to set the preferences extensions.legacy.enabled to true and xpinstall.signatures.required to false in about:config in order to install the addons at all. I guess if you have an old, unmodified addon xpi you might not need signatures.required false, but for anything modified or newer you will, as Mozilla won't sign legacy addons any more. Once they are installed, the UserChromeJS system should allow them to work.

Hmmm. I already have those. Though it still doesn't let me install Backtrack. No clue why.

avada
 
Posts: 1901
Joined: February 10th, 2008, 6:30 am
Location: Hungary

Post Posted November 7th, 2020, 3:19 am

AlexVallat wrote:You will still need to set the preferences extensions.legacy.enabled to true and xpinstall.signatures.required to false in about:config in order to install the addons at all. I guess if you have an old, unmodified addon xpi you might not need signatures.required false, but for anything modified or newer you will, as Mozilla won't sign legacy addons any more. Once they are installed, the UserChromeJS system should allow them to work.

Ooops. Looks like I missed this: "Firefox release, Beta and ESR can't run legacy addons." (I was trying with beta)

Can I just move the profile between Beta and Dev? If I remember correctly it's at the same version.

Though it's still weird that the error message says the addon wasn't checked.

AlexVallat
 
Posts: 90
Joined: September 30th, 2006, 8:53 am

Post Posted November 7th, 2020, 3:28 am

I'm pretty sure you can just copy your profile from Beta to Dev. Going the other direction can sometimes cause issues as they don't always guarantee backwards compatibility.

avada
 
Posts: 1901
Joined: February 10th, 2008, 6:30 am
Location: Hungary

Post Posted November 7th, 2020, 3:46 pm

AlexVallat wrote:I'm pretty sure you can just copy your profile from Beta to Dev. Going the other direction can sometimes cause issues as they don't always guarantee backwards compatibility.

I seem to have got it to run. The addons I tried from the "new home" (DTA, backtrack, keyconfig) apparently work. Are there any other extensions that work elsewhere?

I tried some of the xpi-s I have backed up via FEBE. Some install, but won't work. One is claimed to be incompatible (BugzillaTweaks{1.12.1.1.1-signed.1-signed.1-signed}). What does this last one mean in this case?
All sorts of compatibility checks are disabled, otherwise no old addon would work, right?

AlexVallat
 
Posts: 90
Joined: September 30th, 2006, 8:53 am

Post Posted November 8th, 2020, 1:25 am

Some addons work, without modification, if you are very lucky. Several more will work with minor tweaks, maybe even as little as editing the install.rdf, but there's really no general rule. If there's a specific addon that you want, and the developer is still around, you could try asking them to have a look. I think xiaoxiaoflood has already said he won't be working on addons by request, so probably not worth raising an issue in that github though.

avada
 
Posts: 1901
Joined: February 10th, 2008, 6:30 am
Location: Hungary

Post Posted November 8th, 2020, 8:40 am

AlexVallat wrote:Some addons work, without modification, if you are very lucky. Several more will work with minor tweaks, maybe even as little as editing the install.rdf, but there's really no general rule. If there's a specific addon that you want, and the developer is still around, you could try asking them to have a look. I think xiaoxiaoflood has already said he won't be working on addons by request, so probably not worth raising an issue in that github though.


I see. What sort of things would I need to change in install.rdf, if only that was the issue.

AlexVallat
 
Posts: 90
Joined: September 30th, 2006, 8:53 am

Post Posted November 8th, 2020, 9:29 am

If there is a maxVersion set try replacing it with *, or making sure strictCompatibility is not present or set false. It depends on exactly why the addon won't load; I can't offer you a general-purpose guide to fixing any possible addon issues, sorry.

avada
 
Posts: 1901
Joined: February 10th, 2008, 6:30 am
Location: Hungary

Post Posted November 8th, 2020, 9:46 am

AlexVallat wrote:If there is a maxVersion set try replacing it with *, or making sure strictCompatibility is not present or set false. It depends on exactly why the addon won't load; I can't offer you a general-purpose guide to fixing any possible addon issues, sorry.

Thanks for the help. I found a working version of Custom Buttons as well, so things look a bit more promising. Annoyingly two of my most important addons (Session Manager, Tab Mix Plus) don't have working versions.

Too bad people interested in updating or using old addons don't concentrate on one particular place. Hard to find stuff this way.

Return to Extension/Theme Releases


Who is online

Users browsing this forum: No registered users and 1 guest